From e92e44e1699987730acdfe10bc5c6e6f64d4ce7e Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Tue, 16 May 2023 08:33:12 -0500
Subject: [PATCH v2 05/17] Use the not_found_dep constant

Previously in the build description, a not_found_dep was defined. Make
use of it.
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 16b2e86646..f608eaed30 100644
--- a/meson.build
+++ b/meson.build
@@ -558,7 +558,7 @@ endif
 ###############################################################
 
 bonjouropt = get_option('bonjour')
-bonjour = dependency('', required : false)
+bonjour = not_found_dep
 if cc.check_header('dns_sd.h', required: bonjouropt,
     args: test_c_args, include_directories: postgres_inc) and \
    cc.has_function('DNSServiceRegister',
-- 
Tristan Partin
Neon (https://neon.tech)

